! { dg-do compile }
!
! PR 51081: [F03] Proc-pointer assignment: Rejects valid internal proc
!
! Contributed by Tobias Burnus <burnus@gcc.gnu.org>

procedure(), pointer :: ptr
ptr => int2
contains
  subroutine int2()
    print *,"..."
  end subroutine
end
